> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

> List available TTS models.



## OpenAPI

````yaml /openapi.json get /v1/models
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction rewriting.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/models:
    get:
      tags:
        - Models
      summary: List models
      description: List available TTS models.
      operationId: models_list
      responses:
        '200':
          description: Supported TTS models.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelResponse'
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request GET \
              --url "https://api.breeze.blue/v1/models" \
              --header "xi-api-key: $BREEZE_API_KEY"
        - lang: Python
          label: Python SDK
          source: |-
            import os

            from breeze_blue import BreezeBlue

            client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

            for model in client.models.list():
                print(model["model_id"], model["name"])
        - lang: TypeScript
          label: TypeScript SDK
          source: |-
            import { BreezeBlueClient } from "@breeze.blue/sdk";

            const client = new BreezeBlueClient({
              apiKey: process.env.BREEZE_API_KEY!,
            });

            const models = await client.models.list();
            for (const model of models) {
              console.log(model.modelId, model.name);
            }
components:
  schemas:
    ModelResponse:
      properties:
        model_id:
          title: Model Id
          type: string
        name:
          title: Name
          type: string
        can_do_text_to_speech:
          title: Can Do Text To Speech
          type: boolean
        can_do_voice_conversion:
          title: Can Do Voice Conversion
          type: boolean
        can_use_style:
          title: Can Use Style
          type: boolean
        can_use_speaker_boost:
          title: Can Use Speaker Boost
          type: boolean
        serves_pro_voices:
          title: Serves Pro Voices
          type: boolean
        languages:
          items:
            $ref: '#/components/schemas/ModelLanguageResponse'
          title: Languages
          type: array
        description:
          title: Description
          type: string
      required:
        - model_id
        - name
        - can_do_text_to_speech
        - can_do_voice_conversion
        - can_use_style
        - can_use_speaker_boost
        - serves_pro_voices
        - description
      title: ModelResponse
      type: object
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
    ModelLanguageResponse:
      properties:
        language_id:
          title: Language Id
          type: string
        name:
          title: Name
          type: string
      required:
        - language_id
        - name
      title: ModelLanguageResponse
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````